Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Exception_Scope Class Reference

`#include <PSDL_Exception_Scope.h>`

Inheritance diagram for TAO_PSDL_Exception_Scope:

[legend]
Collaboration diagram for TAO_PSDL_Exception_Scope:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Exception_Scope (TAO_PSDL_Scope *parent_scope)
int | add_member_decl (ACE_CString identifier, ACE_CString identifier_type)
void | dump (CORBA::ULong depth)
| Function to help indent the output of the parse tree. More...
int | find (const ACE_CString &identifier_name, ACE_CString &identifier_type)
| Function to find the TAO_PSDL_Scope for the given identifier_name. More...
int | find (const ACE_CString &identifier_name)
| Function to check if a particular identifier_name exists in the scope. More...
TAO_PSDL_Scope * | parent_scope (void)
| Return the pointer to the parent scope. More...
Scope_Map * | scope_map (void)
| Return the pointer to Scope_Map of the instance. More...
ACE_CString | identifier_type (void)
| Each identifier will have an instance of a derived type of TAO_PSDL_Scope *.. the following method is an accessor to the type of the identifier name. More...
ACE_CString | module_name (void)
ACE_CString | interface_name (void)
## Protected Attributes
Scope_Map | scope_map_
TAO_PSDL_Scope * | parent_scope_
ACE_CString | identifier_type_
ACE_CString | module_name_
ACE_CString | interface_name_

## Constructor & Destructor Documentation

TAO_PSDL_Exception_Scope::TAO_PSDL_Exception_Scope | ( | TAO_PSDL_Scope * | parent_scope | ) |

## Member Function Documentation

int TAO_PSDL_Exception_Scope::add_member_decl | ( | ACE_CString | identifier,
|  | ACE_CString | identifier_type
| ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

void TAO_PSDL_Exception_Scope::dump | ( | CORBA::ULong | depth | ) | `[virtual]`

| Function to help indent the output of the parse tree. Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Exception_Scope::find | ( | const ACE_CString & | identifier_name | ) | `[virtual]`

| Function to check if a particular identifier_name exists in the scope. Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Exception_Scope::find | ( | const ACE_CString & | identifier_name,
|  | ACE_CString & | identifier_type
| ) | `[virtual]`

| Function to find the TAO_PSDL_Scope for the given identifier_name. Reimplemented from TAO_PSDL_Scope.

ACE_CString TAO_PSDL_Exception_Scope::identifier_type | ( | void |  | ) | `[virtual]`

| Each identifier will have an instance of a derived type of TAO_PSDL_Scope *.. the following method is an accessor to the type of the identifier name. Reimplemented from TAO_PSDL_Scope.

ACE_CString TAO_PSDL_Exception_Scope::interface_name | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

ACE_CString TAO_PSDL_Exception_Scope::module_name | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

TAO_PSDL_Scope * TAO_PSDL_Exception_Scope::parent_scope | ( | void |  | ) | `[virtual]`

| Return the pointer to the parent scope. Reimplemented from TAO_PSDL_Scope.

Scope_Map * TAO_PSDL_Exception_Scope::scope_map | ( | void |  | ) | `[virtual]`

| Return the pointer to Scope_Map of the instance. Reimplemented from TAO_PSDL_Scope.

## Member Data Documentation

ACE_CString TAO_PSDL_Exception_Scope::identifier_type_`[protected]`

ACE_CString TAO_PSDL_Exception_Scope::interface_name_`[protected]`

| Reimplemented from TAO_PSDL_Scope.

ACE_CString TAO_PSDL_Exception_Scope::module_name_`[protected]`

TAO_PSDL_Scope* TAO_PSDL_Exception_Scope::parent_scope_`[protected]`

Scope_Map TAO_PSDL_Exception_Scope::scope_map_`[protected]`

The documentation for this class was generated from the following files:

- PSDL_Exception_Scope.h
- PSDL_Exception_Scope.cpp